import pandas as pd
import numpy as np
import matplotlib.pyplot as plt

df = pd.read_csv('mrfei_table.csv')
df2 = pd.read_csv('food_access_research_atlas.csv')

def to_string(int):
    return str(int)

def to_float(string):
    return float(string)

df['fips'] = df['fips'].apply(to_string)

short = [x[0:5] for x in df['fips']]
slay = [True if x == '25017' else False for x in short]
df['fips'] = df['fips'][slay]

df = df.dropna()

df['mrfei'] = df['mrfei'].apply(to_float)

df = df[['fips', 'mrfei']]

dict = {}
for each in df.values:
    key = each[0]
    val = each[1]
    dict[key] = val

keys = list(dict.keys())
keys = [int(key) for key in keys]

df3 = df2[df2['CensusTract'].isin(keys)]

mrfeis = []
for tract in df3['CensusTract']:
    mrfei = dict[str(tract)]
    mrfeis.append(mrfei)

df3 = df3.assign(mrfei = mrfeis)
df3 = df3[['CensusTract','POP2010', 'OHU2010', 'LowIncomeTracts','MedianFamilyIncome',
           'PovertyRate', 'TractLOWI', 'TractBlack', 'TractWhite', 'TractAsian', 'TractHispanic',
           'TractNHOPI', 'TractAIAN', 'TractHUNV', 'mrfei']]
